Subject: Re: bash "pregnant pauses" revisited (B19 on NT 4.0)
From: [email-masked] (Larry Hall)

20 Aug 1998 18:05:06 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Steven Hein <[email-masked]>, [email-masked]

This "tidbit" has been found before as well.  People have reported that 
setting the "Startup" directory for the bash shortcut they have to point to
the directory where bash reside helps with these pauses.  Personally, I
still think it has to do with paths, network drives, and the //<drive> 
notation being interpreted as UNC names but I could be wrong.  In any case,
explicitly stating the startup directory as a local path has been reported
to help.  This should probably end up in the FAQ if it isn't there already...

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02482-7797               http://www.rfk.com

At 01:01 PM 8/17/98 -0500, Steven Hein wrote:
>Just another little wrinkle to throw into this discussion.....
>
>I'm running 19.3 on NT4 SP3, and I was having the same problem.
>The 'mount -b C: /C' works around the problem in my case, but I
>also found another "work-around".  If I 'cd' into the directory
>where the 'bash' binary is located and then run it, I don't see
>the pauses.  Doesn't matter if the binary is in the standard location
>(\Cygnus\B19\H-i385-cygwin32\bin) or some other location (i.e. /bin).
>
>Clearly, this isn't any kind of solution, but I thought it might
>be a useful tidbit of information.
>
>Steve
>
>
>
>Arndt Schoenewald wrote:
>> 
>> Bingo! Mattias was right: after doing a `mount -b D: /D' the delays
>> are gone. Thank you very much! I am very happy about this solution as
>> the delays were quite annoying.
>> 
>> However, I still think this is a bug that ought to be fixed. I remember
>> reading that single letter //X paths were always taken to mean drive
>> letters, not machine names. And how comes the system tries to resolve
>> and access the host name "unknown"?
>> 
>> If the underlying problem is not easily fixable, it would be good if
>> these mounts were automatically created during installation.
>> 
>> Thanks again (also to Larry Hall for his reply),
>> Arndt
>> 
>> On Fri, Aug 14, 1998 at 10:12:12PM +0200, Matthias Morche wrote:
>> > Arndt Schoenewald wrote:
>> > ...
>> > >     D:\>echo %PATH%
>> > >     D:\Perl\5.00502\bin\MSWin32-x86-object;D:\Perl\5.00502\bin;D:\WINNT\system32;D:\WINNT
>> > >
>> > > And this is from a fresh bash window launched via cygnus.bat:
>> > >
>> > >     Cygnus Cygwin32 B19
>> > >     bash-2.01$ echo $PATH
>> > >     /Cygnus/B19/H-i386-cygwin32/bin://D/Perl/5.00502/bin/MSWin32-x86-object://D/Perl/5.00502/bin://D/WINNT/system32://D/WINNT
>> > >     bash-2.01$
>> > >
>> > > But even if I had a stale network drive in PATH, this wouldn't explain
>> > > why the prompt is often delayed when I just hit <RETURN> on an empty
>> > > line -- why should the shell search the PATH when there's no command
>> > > to execute and the prompt is a constant string?!
>> > ...
>> > In my case it tried to interpret a Drive named Y as a hostname. Maybe
>> > You should "mount -b D: /D", after that //D will be automatically
>> > reduced to /D and can't be misunderstood as a hostname. Give it a try.
>> > --
>> >       Matthias Morche (mailto:[email-masked])
>> >               SAT.1 (http://www.sat1.de)
>> >
>> > >>> Linux: the greatest adventure game since the invention of the PC <<<
>> 
>> --
>> Arndt Schoenewald ([email-masked])
>> IT Technology & Solutions Integrator
>> Ostenhellweg 31, 44135 Dortmund, Germany
>> Tel: +49 231 556075
>> Fax: +49 231 556049
>> -
>> For help on using this list (especially unsubscribing), send a message to
>> "[email-masked]" with one line of text: "help".
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".